# BaseObserver
`toloka.streaming.observer.BaseObserver` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/streaming/observer.py#L25)

```python
BaseObserver(self, *, name: Optional[str] = None)
```

## Methods Summary

| Method | Description |
| :------| :-----------|
[delete](toloka.streaming.observer.BaseObserver.delete.md)| Schedule observer to be removed from the pipeline.
[disable](toloka.streaming.observer.BaseObserver.disable.md)| Prevent observer from being called.
[enable](toloka.streaming.observer.BaseObserver.enable.md)| Enable observer to be called during pipeline execution.
[inject](toloka.streaming.observer.BaseObserver.inject.md)| None
[run](toloka.streaming.observer.BaseObserver.run.md)| For standalone usage (out of a Pipeline).
[should_resume](toloka.streaming.observer.BaseObserver.should_resume.md)| None
